Subject: RE: Unofficial Last Call - draft-snell-atompub-feed-thread-04.txt

From: "Byrne Reese" <[email-masked]>
Date: Tue, 25 Oct 2005 17:09:18 -0400

Any chance this specification could be extended to contain meta data
about the replies? Specifically, how many replies that may exist for a
given entry?

I would love a mechanism to be able to recreate:

--- cut here ---
POST TITLE

Lorem ipsum dolor sit amet, consectetuer adipiscing elit. 
Donec sit amet nisl. Morbi pretium ultrices sapien. Mauris 
pretium ultrices odio. Duis mauris. Aliquam est. 

Posted by: Byrne on Dec 15, 2005   Comments (10)
--- cut here ---

Perhaps?

<link rel="replies" href=".." thr:reply-count="10" />

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of James M Snell
> Sent: Saturday, October 22, 2005 7:45 AM
> To: James Holderness
> Cc: Atom Syntax
> Subject: Re: Unofficial Last Call - 
> draft-snell-atompub-feed-thread-04.txt
> 
> 
> Ah crap, that's what I get for editing multiple docs at once. 
>  It's supposed to be -01 and -02.  I'll get that fixed.  The 
> -01 is the current version; the new version waiting to 
> publish has no significant updates (just some minor typo 
> stuff) so you should safely be able to base your feedback on 
> the -01 version.
> 
> James Holderness wrote:
> 
> >
> >> [1] draft-snell-atompub-feed-thread-03.txt (current version) [2] 
> >> draft-snell-atompub-feed-thread-04.txt (new version waiting to 
> >> publish... no significant changes)
> >
> >
> > Do you have a link for these? The only copy I could find on 
> ietf.org 
> > was -01.
> >
> >
> 
>

---

From: James M Snell <[email-masked]>
Date: Tue, 25 Oct 2005 21:39:22 -0700

Hmm.. not too sure.  It's entirely possible, of course, but I'm not sure 
that's it's worthwhile.  The slash RSS 1.0 module already has an element 
that can be used for this 
(http://web.resource.org/rss/1.0/modules/slash/).

---

From: "James Holderness" <[email-masked]>
Date: Thu, 27 Oct 2005 15:56:34 +0100

I'm not a big fan of this either. The count can never be assured of any 
accuracy so if I were to display something like this I end up having to try 
and explain to my users why it says there are no replies when in fact they 
there are 20.

Also, it forces excessive refreshes on the main feed because every time 
someone replies to an entry, the feed for that entry has to be updated even 
though it has no real changes. The server could try and do something fancy, 
like not changing etags when it's only a reply count update, but then it 
just means those counts are going to be even more out of sync with reality.

As you say, if someone really wants to include a comment count they can 
always use the slash module. I just don't think it's worth adding to your 
proposal without a lot of warnings about the problems and limitations.

Regards
James

James M Snell wrote:
>>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Donec sit amet 
>>nisl. Morbi pretium ultrices sapien. Mauris pretium ultrices odio. Duis 
>>mauris. Aliquam est.

---

From: James M Snell <[email-masked]>
Date: Thu, 27 Oct 2005 10:14:15 -0700

+1

James Holderness wrote:

>
> I'm not a big fan of this either. The count can never be assured of 
> any accuracy so if I were to display something like this I end up 
> having to try and explain to my users why it says there are no replies 
> when in fact they there are 20.
>
> Also, it forces excessive refreshes on the main feed because every 
> time someone replies to an entry, the feed for that entry has to be 
> updated even though it has no real changes. The server could try and 
> do something fancy, like not changing etags when it's only a reply 
> count update, but then it just means those counts are going to be even 
> more out of sync with reality.
>
> As you say, if someone really wants to include a comment count they 
> can always use the slash module. I just don't think it's worth adding 
> to your proposal without a lot of warnings about the problems and 
> limitations.
>
> Regards
> James
>
> James M Snell wrote:
>
>> Hmm.. not too sure.  It's entirely possible, of course, but I'm not 
>> sure that's it's worthwhile.  The slash RSS 1.0 module already has an 
>> element that can be used for this 
>>> Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Donec sit 
>>> amet nisl. Morbi pretium ultrices sapien. Mauris pretium ultrices 
>>> odio. Duis mauris. Aliquam est.